Packages - Bug #2342

[pcr-testing/wbar] is segfaulting while being used.
2019-06-26 03:22 PM - Anonymous

Status: in progress % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Whbar is crashing. | have only added Tor Browser Bundle.
The message is: "Segmentation fault (core dumped)" without quotes.

Related issues:
Related to Packages - Bug #2515: [wbar] Disappears after upgrade unconfirmed

History

#1 - 2019-06-26 04:51 PM - freemor

Can not duplicate.

But then | didn't install TBB

How did you install TBB? Asking because if it did not go into a safe place like /opt/ or /usr/local/ you may have clobbered system files.
#2 - 2019-06-26 06:08 PM - freemor

- Status changed from unconfirmed to confirmed

- Subject changed from wbar is crashing to [pcr-testing/wbar] is segfaulting while being used.

K, got it to crash on x86_64 with a bit more fiddling. (a case where steps to reproduce would have been handy)

This isnt a crash on open it. It happens here when switching tasks with it.. but other things could trigger it to | haven't tried looking for all the edge
cases.

did an strace on it. It exited with:

0ll([{fd=3, events=POLLIN}], 1, -1) =1 ([{fd=3, revents=POLLIN}])

recvmsg (3, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="\34\0000\7\307\0\0\OL\I\0\0\314PB\26\0\0\0\0O\0\O
\NO\NONONONONONONONONO", diov_1len=4096}], msg_iovlen=1, msg_controllen=0, msg_flags=0}, 0) = 32

recvmsg (3, {msg_namelen=0}, O0) = -1 EAGAIN (Resource temporarily unavailable)

recvmsg (3, {msg_namelen=0}, 0) = -1 EAGAIN (Resource temporarily unavailable)

poll ([{fd=3, events=POLLIN}], 1, -1) 1 ([{fd=3, revents=POLLIN}])
recvmsg (3, {msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="\34\0000\7\307\0\0\0OK\1\0\0\316PB\26\0\0O\O\O\O\O

\NO\NONO\NONONONONONONO", diov_1len=4096}], msg_iovlen=1, msg_controllen=0, msg_flags=0}, 0) = 32
recvmsg (3, {msg_namelen=0}, 0) = -1 EAGAIN (Resource temporarily unavailable)
recvmsg (3, {msg_namelen=0}, O0) = -1 EAGAIN (Resource temporarily unavailable)

——— SIGSEGV {si_signo=SIGSEGV, si_code=SI_KERNEL, si_addr=NULL} ---
+++ killed by SIGSEGV (core dumped) +++
Segmentation fault (core dumped)

since it looks to be a very quick rebuild I'll try that, see if it fixes the issue or not.

#3 - 2019-06-26 06:57 PM - freemor

- Assignee set to bill-auger

Ok So not a quick and simple rebuild as it no longer builds correctly...

And I'm out of time for now so assigning to the maintainer

#4 - 2019-06-27 01:11 PM - bill-auger

- Status changed from confirmed to in progress

that segfault bug should be fixed in 'wbar-2.3.4-4' - this program needs a lot of TLC though - it hasnt been maintained in years - i will leave this open
issue for some time

#5 - 2019-10-26 01:44 PM - bill-auger
- Related to Bug #2515: [wbar] Disappears after upgrade added
